/****************************************************************************************

		ITextureMapPart.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Emil
		Date:	2/20/99

		Revision History

		when		who			what & why
		==========	==========	======================================================

*****************************************************************************************/
#ifndef __ITextureMapPart__
#define __ITextureMapPart__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "COMTypes.h"
#include "APITypes.h"

#define kTextureMapValueType 'TMap'

struct IShTextureMap;

/****** Globally Unique Ids **************************************************/
MCDEFINE_GUID(IID_ITextureMapPart, 0x23bba2c8, 0xc92e, 0x11d2, 0x8b, 0x82, 0x0, 0x60, 0x97, 0xb, 0xc5, 0x21);

struct ITextureMapPart : public IMCUnknown
{
	virtual MCCOMErr MCCOMAPI SetTextureMap(IShTextureMap* map) = 0;
	virtual MCCOMErr MCCOMAPI GetTextureMap(IShTextureMap** map) = 0;
};

#endif
